import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiAccountAddUserResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiAccountAddUserProtocol(_base.BasePostAPIFunctionProtocol):
    def add_user(
        self,
        *,
        account_id: int,
        access_type: _nested.AccessTypeForSet,
        user_name: str,
    ) -> CloudapiAccountAddUserResultBool:
        ...
